CMSIS-DSP: Elementwise Quaternion Product

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Elementwise Quaternion Product
Quaternion Product

## Functions

void | arm_quaternion_product_f32 (const float32_t *qa, const float32_t *qb, float32_t *qr, uint32_t nbQuaternions)
| Floating-point elementwise product two quaternions. More...

## Description

Compute the elementwise product of quaternions.

## Function Documentation

void arm_quaternion_product_f32 | ( | const float32_t * | qa,
|  | const float32_t * | qb,
|  | float32_t * | qr,
|  | uint32_t | nbQuaternions
| ) |  |

Parameters

  [in] | qa | first array of quaternions
  [in] | qb | second array of quaternions
  [out] | qr | elementwise product of quaternions
  [in] | nbQuaternions | number of quaternions in the array

Returns
  none